Subject: [PATCH 7/9] Input: ab8500-ponkey: Create AB8500 domain IRQ mapping

From: [email-masked] (Lee Jones)
Date: Mon, 09 Jul 2012 23:21:35 +0200

On 09/07/12 23:03, Linus Walleij wrote:
> On Mon, Jul 9, 2012 at 10:59 PM, Lee Jones <[email-masked]> wrote:
>
>> Before we can use any domain allocated IRQ, we need to first create a
>> map between the Hardware IRQ (hwirq) and the Linux Virtual IRQ (virq).
>> We do this with a helper function provided by the AB8500 IRQ domain
>> controller called ab8500_irq_get_virq(). We need to do this for both
>> IRQs which the Power-On-Key driver uses; one for button press, the other
>> for button depress.
>>
>> Signed-off-by: Lee Jones <[email-masked]>
>
> Now since I was fooled by the last patch, thinking you had tested it before
> submitting (obviously not) - please send a test log of some
> cat /dev/input/event* for this one before I ACK it this time.

I did test it, but must have only looked at the one IRQ incrementing.

I can provide a log tomorrow if it makes you feel better. :)

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
M: +44 77 88 633 515
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog